OutputSequenceAttributes (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.sequenceChooser
Class OutputSequenceAttributes

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.sequenceChooser.OutputSequenceAttributes

public class OutputSequenceAttributes
extends java.lang.Object

Creates the output sequence attibutes window

Author:
  T. J. Carver

Field Summary
`private java.lang.String[]` | `ff`
`private javax.swing.JComboBox` | `fileFormats`
`private javax.swing.JTextField` | `oext`
`private javax.swing.JTextField` | `offormat`
`private javax.swing.JTextField` | `ofname`
`private javax.swing.JTextField` | `osdbname`
`private javax.swing.JTextField` | `osextension`
`private javax.swing.JTextField` | `osname`
`private javax.swing.JRadioButton` | `ossingle`
`private javax.swing.JScrollPane` | `rscroll`
`private javax.swing.JTextField` | `UFO`

Constructor Summary
`OutputSequenceAttributes()`

Method Summary
`java.lang.String` | `getFormatChoosen()`
`javax.swing.JScrollPane` | `getJScrollPane()`
`java.lang.String` | `getOuputSeqAttr()`
`boolean` | `isDBNameDefault()`
`boolean` | `isExtensionDefault()`
`boolean` | `isFNameDefault()`
`boolean` | `isNameDefault()`
`boolean` | `isUFODefault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oext

    private javax.swing.JTextField oext

### osextension

    private javax.swing.JTextField osextension

### osname

    private javax.swing.JTextField osname

### osdbname

    private javax.swing.JTextField osdbname

### offormat

    private javax.swing.JTextField offormat

### ofname

    private javax.swing.JTextField ofname

### UFO

    private javax.swing.JTextField UFO

### fileFormats

    private javax.swing.JComboBox fileFormats

### ossingle

    private javax.swing.JRadioButton ossingle

### rscroll

    private javax.swing.JScrollPane rscroll

### ff

    private java.lang.String[] ff

Constructor Detail

### OutputSequenceAttributes

    public OutputSequenceAttributes()

Method Detail

### getJScrollPane

    public javax.swing.JScrollPane getJScrollPane()

### getFormatChoosen

    public java.lang.String getFormatChoosen()

### isUFODefault

    public boolean isUFODefault()

### isExtensionDefault

    public boolean isExtensionDefault()

### isNameDefault

    public boolean isNameDefault()

### isDBNameDefault

    public boolean isDBNameDefault()

### isFNameDefault

    public boolean isFNameDefault()

### getOuputSeqAttr

    public java.lang.String getOuputSeqAttr()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD